Get the time spents of a task type in a project

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/{project_id}/task-types/{task_type_id}/time-spents

Get the time spent entries of the tasks of a task type in a project. Give start_date and end_date to get the entries of a period. You must be a manager of the project.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

  • task_type_id string(uuid) Required

    Task type unique identifier

Query parameters

  • start_date string(date)

    First date of the period, in the YYYY-MM-DD format

  • end_date string(date)

    Last date of the period, in the YYYY-MM-DD format

Responses

  • 200 application/json

    The list of time spent entries

  • 400

    The task type identifier is not a valid UUID, or a date is not valid

  • 403

    You are not a manager of the project

GET /data/projects/{project_id}/task-types/{task_type_id}/time-spents
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/task-types/b35b7fb5-df86-5776-b181-68564193d36/time-spents?start_date=2022-07-01&end_date=2022-07-31" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/task-types/b35b7fb5-df86-5776-b181-68564193d36/time-spents"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "start_date": "2022-07-01",
    "end_date": "2022-07-31"
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{}